2019-08-24 02:43 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005805Spring engineGeneralpublic2017-10-17 16:45
ReporterAntero 
Assigned ToKloot 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version 
Summary0005805: Water reflections break in the FPS camera mode
DescriptionWater reflections break in the FPS camera mode, which is immediately visible when panning the camera around a bit. The reflections are drawn at the wrong position, not matching the actual terrain/units. This happens on all water modes. Tested on the map Tropical-v2 and Calamity 1.1.

For some reason though, the FPS camera reflections are ok when I start the game in FPS camera mode in Balanced Annihilation, and they only break if I start in some other camera mode and then switch to FPS mode.

In Zero-K I can't replicate that BA behavior, and FPS reflections are broken even when I start in that mode. Might be because ZK UI controls the camera modes in it.

I went through my archive of downloaded spring versions, and the earliest version having this issue is 101.0.1-414-g6a6a528. The latest version not having this issue is 100.0.1-157-g6ffc001.
Steps To Reproduce1. Start the game on a water map, preferably in some other camera mode than FPS to ensure reproducibility.
2. Switch to FPS camera mode and move the camera around a bit. The reflections are drawn in the wrong position.
Tagswater reflections fpscamera
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0018507

Kloot (developer)

Last edited: 2017-10-13 17:43

View 2 revisions

I can't reproduce any visible brokenness when starting ZK or BA (any recent git test version) and typing /viewfps with either 104 or 104+git.

~0018508

Antero (reporter)

Interesting.

https://i.imgur.com/KQLA2PU.jpg

There's what it looks like to me, when I downloaded a fresh 104.0.1-178-g720bf24 minimal portable 32 bit for windows, added BumpWaterReflections=2 and Water=4 to springsettings, fired up BA, and typed /viewfps.

I wonder what the difference between our setups is.

~0018509

Antero (reporter)

Infolog for reference. https://pastebin.com/A6UFS3pf

~0018510

Antero (reporter)

And that BA version was a bit old and had some errors on 104.0.1, but nevertheless the issue is the same between all versions of ZK and BA I've tested with the engine version 101.0.1-414-g6a6a528 and later.

~0018511

Kloot (developer)

Last edited: 2017-10-13 22:39

View 2 revisions

Your config dropped in place of mine does reproduce this, it's caused by FPSFOV=90 (which defaults to 45) and actually affects all cameras that allow setting their FOV. Fix underway.

~0018512

Kloot (developer)

Fix 709a8b412ed77560df9fb193b7b4a2acc059c7ab committed to develop branch: fix 0005805, repo: spring changeset id: 8991

~0018524

Kloot (developer)

Fix 6d4c448834df4bf033e981d44870ec0a34c61ef9 committed to KR branch: fix 0005805, repo: spring changeset id: 9018
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2017-10-13 11:20 Antero New Issue
2017-10-13 11:20 Antero Tag Attached: water reflections fpscamera
2017-10-13 17:41 Kloot Note Added: 0018507
2017-10-13 17:43 Kloot Note Edited: 0018507 View Revisions
2017-10-13 20:47 Antero Note Added: 0018508
2017-10-13 20:50 Antero Note Added: 0018509
2017-10-13 20:57 Antero Note Added: 0018510
2017-10-13 22:38 Kloot Note Added: 0018511
2017-10-13 22:39 Kloot Note Edited: 0018511 View Revisions
2017-10-13 22:39 Kloot Changeset attached => spring develop 709a8b41
2017-10-13 22:39 Kloot Note Added: 0018512
2017-10-13 22:39 Kloot Assigned To => Kloot
2017-10-13 22:39 Kloot Status new => resolved
2017-10-13 22:39 Kloot Resolution open => fixed
2017-10-17 16:45 hokomoko Changeset attached => spring KR 6d4c4488
2017-10-17 16:45 Kloot Note Added: 0018524
+Issue History